# DataExchange
TKXSBase
MoniTool

# MoniTool_SignShape Class Reference

Signs HShape according to its real content (type of Shape)
Context is not used
.

`#include <MoniTool_SignShape.hxx>`

Inheritance diagram for MoniTool_SignShape:

[legend]

## Public Member Functions

Standard_EXPORT | MoniTool_SignShape ()
Standard_EXPORT Standard_CString | Name () const
| Returns "SHAPE" .
Standard_EXPORT TCollection_AsciiString | Text (const Handle(Standard_Transient)&ent, const Handle(Standard_Transient)&context) const
| Returns for a HShape, the string of its ShapeEnum The Model is absolutely useless (may be null) .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Constructor & Destructor Documentation

Standard_EXPORT MoniTool_SignShape::MoniTool_SignShape | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const MoniTool_SignShape::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from MoniTool_SignText.

Standard_EXPORT Standard_CString MoniTool_SignShape::Name | ( |  | ) | const`[virtual]`

| Implements MoniTool_SignText.

Standard_EXPORT TCollection_AsciiString MoniTool_SignShape::Text | ( | const Handle(Standard_Transient)& | ent,
|  | const Handle(Standard_Transient)& | context
| ) | const`[virtual]`

| Implements MoniTool_SignText.

The documentation for this class was generated from the following file:

- MoniTool_SignShape.hxx